Licenses
3 min
Get available licenses
Get available licenses for customer
GET
https://api.fsflt.net/customerarea/licenses/available
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberDescription
- langstringDescription
- version_codeNumberDescription
- license_durationstringDescription
- license_codestringDescription
- currency_codestringDescription
shell
curl -X 'GET' \
'https://api.fsflt.net/customerarea/licenses/availables' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{"customer_code": CUSTOMER_NUMBER, YOUR_PARAM}'200
{
"code": 200,
"content": [
{
"license_code": "CL_Q_A005-M1",
"license_name": "Business Filter License",
"license_duration_months": "1",
"license_version": "0",
"license_quantity": "5 users",
"license_points": 0.5,
"license_amount": 5,
"license_amount_currency": "EUR"
},
{
"license_code": "CL_Q_A010-M1",
"license_name": "Business Filter License",
"license_duration_months": "1",
"license_version": "0",
"license_quantity": "10 users",
"license_points": 1,
"license_amount": 10,
"license_amount_currency": "EUR€"
},
]
}422
{
"code": 422,
"message": "Validation error",
"content": {
"lang": [
"validation.alpha",
"The lang must be one of the following types: EN, IT, ES, DE"
]
}
}100
{
"code": 500,
"content": ["message": "Prepaid credit not enough"]
}API Monthly Usage Statistics
This endpoint retrieves the API's monthly usage statistics
GET
https://api.fsflt.net/customerarea/licenses/api
Header Parameters
- X-API-KEYstringrequiredDescription
shell
curl -X 'GET' \
'https://api.fsflt.net/customerarea/licenses/availables' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{"customer_code": CUSTOMER_NUMBER, YOUR_PARAM}'200
{
"code": 200,
"content": {
"total_allowed_calls": 500,
"used_calls": 99,
"remaining_calls": 401,
"period_start": "2024-12-01",
"period_end": "2024-12-31"
}
}401
{
"message": "Invalid token or Unauthorized admin"
}Assign Demo
Assigns a new demo license to the chosen customer
POST
https://api.fsflt.net/customerarea/licenses/demo
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberDescription
- langstringDescription
- accept_notificationsBooleanDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/customerarea/licenses/demo' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{"customer_code": CUSTOMER_NUMBER, YOUR_PARAM}'200
{
"code": 200,
"content":
{
"customer": "FSDEV8080",
"version": "CL_DEMO",
"license": "Internet Protection and malware mitigation Trial - Demo inserted by API",
"expiry_date": "2022-01-12",
"license_id": 108501
}
}401
{
"message": "Invalid token or Unauthorized admin"
}500
{
"code": 500,
"message": "The given data was invalid.",
"errors": {
"lang": [
"The lang must be one of the following types: EN, IT, ES, DE"
]
}
}
Assign License
Assigns a new Bulk license to the chosen customer
POST
https://api.fsflt.net/customerarea/licenses/assign
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- license_codestringrequiredDescription
- license_infostringrequiredDescription
- customer_codeNumberDescription
- accept_notificationsBooleanDescription
- currency_codestringDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/licenses/assign' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{"customer_code": CUSTOMER_NUMBER, YOUR_PARAM}'200
{
"code": 200,
"content": {
"customer": "The customer name",
"license_id": "13343",
"start_date": "2022-01-18",
"expiry_date": "2022-01-31",
"deducted_amount": 5,
"currency_code": "EUR"
}
}401
{
"message": "Invalid token or Unauthorized admin"
}500
{
"code": 500,
"message": "The given data was invalid.",
"errors": {
"license_info": [
"The license info may only contain letters, numbers, dashes and whitespace."
]
}
}
Suspend license renewal
POST
https://api.fsflt.net/customerarea/licenses/suspend
Header Parameters
- X-API-KEYstringrequired
Body Parameters
- license_idstringrequiredDescription
- customer_codestringrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/customerarea/licenses/suspend' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{"customer_code": CUSTOMER_NUMBER, "license_id": LICENSE_ID}'200
{
"code": 200,
"content": "License suspended successfully."
}405
{
"code": 405,
"message": "License already suspended.",
"error": []
}
Resume license renewal
POST
https://api.fsflt.net/customerarea/licenses/enable
Header Parameters
- X-API-KEYstringrequired
Body Parameters
- license_idstringrequiredDescription
- customer_codestringrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/customerarea/licenses/enable' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{"customer_code": CUSTOMER_NUMBER, "license_id": LICENSE_ID}'200
{
"code": 200,
"content": "License enabled successfully."
}405
{
"code": 405,
"message": "License already suspended.",
"error": []
}